const CacheBase=require("../cache.base");
const system=require("../../system");
//缓存首次登录的赠送的宝币数量
class MagCache extends CacheBase{
   constructor(){
     super();
     this.prefix="magCache";
   }
   async keys(p){
     console.log("xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxcache");
     return this.redisClient.keys(p);
   }
   async get(k){
     return this.redisClient.get(k);
   }
   async del(k){
     return this.redisClient.delete(k);
   }
   async clearAll(){
     console.log("xxxxxxxxxxxxxxxxxxxclearAll............");
     return this.redisClient.flushall();
   }
}
module.exports=MagCache;
